aboutsummaryrefslogtreecommitdiff
path: root/dev/libs/boost/boost.build
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:20:35 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:20:35 +0000
commitbffe9dbb2ff1b3aaf3e2908dbe96b648ea5fed73 (patch)
tree182eeae16bb99fdbcc33f2ff16dbe52631a0cd50 /dev/libs/boost/boost.build
parenta7989aa2b287865fa917f27e8460a4be6722c938 (diff)
downloadslackbuilds-bffe9dbb2ff1b3aaf3e2908dbe96b648ea5fed73.tar.gz
slackbuilds-bffe9dbb2ff1b3aaf3e2908dbe96b648ea5fed73.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@704 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/libs/boost/boost.build')
-rwxr-xr-xdev/libs/boost/boost.build114
1 files changed, 114 insertions, 0 deletions
diff --git a/dev/libs/boost/boost.build b/dev/libs/boost/boost.build
new file mode 100755
index 00000000..df963ff3
--- /dev/null
+++ b/dev/libs/boost/boost.build
@@ -0,0 +1,114 @@
+#!/bin/bash
+#
+# build script for boost
+# by rafael at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="boost"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.33.1}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+# Warning: hardcoded version!!
+VERSION2=1_33_1
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="${PACKAGE}_${VERSION2}.tar.$PACKAGE_EXT"
+URL="http://ufpr.dl.sourceforge.net/sourceforge/boost/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd ${PACKAGE}_${VERSION2}
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p0 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --libdir=$LIBDIR --with-libraries=all
+make || exit 32
+make install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+boost: boost
+boost:
+boost: Boost provides free peer-reviewed portable C++ source libraries.
+boost:
+boost: We emphasize libraries that work well with the C++ Standard Library.
+boost: Boost libraries are intended to be widely useful, and usable across
+boost: a broad spectrum of applications.
+boost:
+boost:
+boost: http://www.boost.org/
+boost:
+EOF
+
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+for file in LICENSE_1_0.txt README; do
+ cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+